Last Comment Bug 1193804 - break up treeherder.css into logical smaller files
: break up treeherder.css into logical smaller files
Status: VERIFIED FIXED
:
Product: Tree Management
Classification: Other
Component: Treeherder (show other bugs)
: ---
: All All
P3 normal
: ---
Assigned To: Jonathan French (:jfrench)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 08:33 PDT by Cameron Dawson [:camd]
Modified: 2015-09-29 08:47 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
PR 939 - userguide (46 bytes, text/x-github-pull-request)
2015-09-03 14:39 PDT, Jonathan French (:jfrench)
cdawson: review+
Details | Review | Splinter Review
PR 945 - navbar (46 bytes, text/x-github-pull-request)
2015-09-07 10:39 PDT, Jonathan French (:jfrench)
cdawson: review+
Details | Review | Splinter Review
PR 953 - navbar-panels (46 bytes, text/x-github-pull-request)
2015-09-09 10:38 PDT, Jonathan French (:jfrench)
cdawson: review+
Details | Review | Splinter Review
PR 959 - job-buttons (46 bytes, text/x-github-pull-request)
2015-09-14 07:05 PDT, Jonathan French (:jfrench)
cdawson: review+
Details | Review | Splinter Review
PR 975 - pinboard (46 bytes, text/x-github-pull-request)
2015-09-18 08:21 PDT, Jonathan French (:jfrench)
cdawson: review+
Details | Review | Splinter Review
PR 985 - info-panel (46 bytes, text/x-github-pull-request)
2015-09-21 12:19 PDT, Jonathan French (:jfrench)
cdawson: review+
Details | Review | Splinter Review
PR 1000 - resultsets (47 bytes, text/x-github-pull-request)
2015-09-23 10:06 PDT, Jonathan French (:jfrench)
cdawson: review+
Details | Review | Splinter Review
PR 1008 - global (47 bytes, text/x-github-pull-request)
2015-09-25 11:25 PDT, Jonathan French (:jfrench)
cdawson: review+
Details | Review | Splinter Review

Description User image Cameron Dawson [:camd] 2015-08-12 08:33:40 PDT
we could likely break this up into sections like this (perhaps)

general/common identifiers
custom buttons
header (nav bar, watched repos bar stuff)
plugins (bottom) panel

perhaps even separate jobs from revisions?  Not sure...
or...
use your imagination.  :)
Comment 1 User image Jonathan French (:jfrench) 2015-08-12 08:38:18 PDT
I'll take this, and do it at a time after we land job counts and don't have a lot of css changes underway.
Comment 2 User image Jonathan French (:jfrench) 2015-08-14 12:32:22 PDT
Will mentioned it would be worthwhile to check to see if there's any grouping conventions, I haven't found anything definitive in searches so far. I did check Marketplace and it seems to tailor its groupings for its own needs.
https://github.com/mozilla/fireplace/tree/master/src/media/css

Proposing for treeherder we could have:
css/treeherder-global.css
css/treeherder-navbar.css
css/treeherder-menus.css
css/treeherder-resultsets.css
css/treeherder-buttons.css
css/treeherder-info-panel.css (includes pinboard, or we could split this out)
css/treeherder-filters.css
css/treeherder-result-status.css (includes our '-shading' color classes)
css/treeherder-help.css

And potentially bundle/minify the css during build(?) if we can quantify sufficient performance benefit.
Comment 3 User image Jonathan French (:jfrench) 2015-08-14 12:49:18 PDT
There's a lot of css changes in camd's job grouping bug 1163064 and in my 'unknown jobs/steps' bug 1192917 which are both close to being done, so we'd like to land those first before I start splitting.
Comment 4 User image Jonathan French (:jfrench) 2015-09-03 14:13:34 PDT
Ok, ready to go. I plan to do the change in separate PR's, one for each file. It should make it quick to land, easy to review, and prevent resolves.. vs. doing the entire break up over a longer period during which css changes may land.
Comment 5 User image Jonathan French (:jfrench) 2015-09-03 14:39:58 PDT
Created attachment 8656828 [details] [review]
PR 939 - userguide

PR for userguide for review.
Comment 6 User image Cameron Dawson [:camd] 2015-09-03 15:04:34 PDT
Comment on attachment 8656828 [details] [review]
PR 939 - userguide

lgtm.  :)
Comment 7 User image Treeherder Bugbot 2015-09-04 08:23:45 PDT
Commit pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/b7b28f0f8e3d653485ca4348a3b85abb4b74fed0
Bug 1193804 - break up treeherder.css - userguide.css
Comment 8 User image Jonathan French (:jfrench) 2015-09-07 09:14:24 PDT
(In reply to Jonathan French (:jfrench) from comment #2)

> css/treeherder-filters.css

I will probably change this to '-panels' when I get to it, it will include the filter panel, the sheriff panel, and also any future ones we create. Our main Info Panel (aka. pluginpanel) will still get its own file.
Comment 9 User image Jonathan French (:jfrench) 2015-09-07 10:39:48 PDT
Created attachment 8657884 [details] [review]
PR 945 - navbar

PR for navbar for review.
Comment 10 User image Treeherder Bugbot 2015-09-08 12:35:49 PDT
Commit pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/af0ae5e926a74c01f6b6a33c2bc6f2c163fcd679
Bug 1193804 - Break up treeherder.css - navbar.css
Comment 11 User image Jonathan French (:jfrench) 2015-09-09 09:59:29 PDT
(In reply to Jonathan French (:jfrench) from comment #2)
> css/treeherder-filters.css

Going with css/treeherder-navbar-panels.css for this; it's more generalized and we will include the sheriff panel.
Comment 12 User image Jonathan French (:jfrench) 2015-09-09 10:38:23 PDT
Created attachment 8658822 [details] [review]
PR 953 - navbar-panels

PR for navbar-panels for review.
Comment 13 User image Treeherder Bugbot 2015-09-11 14:14:42 PDT
Commit pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/5ca2e89f37f3969df4f51f143351d429d79198d0
Bug 1193804 - Break up treeherder.css - navbar-panels.css
Comment 14 User image Jonathan French (:jfrench) 2015-09-12 20:11:49 PDT
> css/treeherder-buttons.css

Going with '-job-buttons' for this one (one of the main motivations for the splitting), and to differentiate from other buttons which will end up in other files.
Comment 15 User image Jonathan French (:jfrench) 2015-09-14 07:05:58 PDT
Created attachment 8660729 [details] [review]
PR 959 - job-buttons

PR for job-buttons for review.
Comment 16 User image Treeherder Bugbot 2015-09-16 11:33:18 PDT
Commit pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/42bbf9383c04ba0ae44c73da1b3fc8f67be3bab2
Bug 1193804 - Break up treeherder.css - job-buttons.css
Comment 17 User image Jonathan French (:jfrench) 2015-09-17 14:12:17 PDT
Adding a '-pinboard' to split it out separately from the info-panel.
Comment 18 User image Jonathan French (:jfrench) 2015-09-18 08:21:18 PDT
Created attachment 8662965 [details] [review]
PR 975 - pinboard

PR for -pinboard for review.
Comment 19 User image Treeherder Bugbot 2015-09-21 07:16:49 PDT
Commit pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/afe16b0c000296877595706fc000a074f8d9e8e5
Bug 1193804 - Break up treeherder.css - pinboard.css
Comment 20 User image Jonathan French (:jfrench) 2015-09-21 12:19:36 PDT
Created attachment 8663800 [details] [review]
PR 985 - info-panel

PR for info-panel for review.
Comment 21 User image Treeherder Bugbot 2015-09-22 12:08:25 PDT
Commit pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/5702a40a10874810cfefbcce31c5b84bfe7bfe63
Bug 1193804 - Break up treeherder.css - info-panel.css
Comment 22 User image Jonathan French (:jfrench) 2015-09-23 10:06:02 PDT
Created attachment 8664976 [details] [review]
PR 1000 - resultsets

PR for -resultsets for review.
Comment 23 User image Cameron Dawson [:camd] 2015-09-24 13:53:58 PDT
Comment on attachment 8664976 [details] [review]
PR 1000 - resultsets

awesome.  thanks for doing this!!
Comment 24 User image Treeherder Bugbot 2015-09-25 08:42:14 PDT
Commit pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/7ace34b09bc62ca156a1d02d20c0d15e6a412bef
Bug 1193804 - Break up treeherder.css - resultsets.css
Comment 25 User image Jonathan French (:jfrench) 2015-09-25 11:25:27 PDT
Created attachment 8666126 [details] [review]
PR 1008 - global

PR for -global for review.
Comment 26 User image Treeherder Bugbot 2015-09-28 09:46:10 PDT
Commit pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/82f45f74d1fef4b6d90b89cde16917e5c86d8583
Bug 1193804 - Break up treeherder.css - global.css
Comment 27 User image Jonathan French (:jfrench) 2015-09-28 09:56:43 PDT
Ok, I think we are done for now, marking fixed per above 8 merges.

Many are already on stage/prod, the remaining ones will arrive there soon.
Comment 28 User image Jonathan French (:jfrench) 2015-09-29 08:47:43 PDT
Everything has been deployed to stage and it looks fine there (and matches prod) so marking Verified fixed.

Note You need to log in before you can comment on or make changes to this bug.